import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionProgramaController } from './institucion-programa.controller';
import { InstitucionProgramaService } from './institucion-programa.service';
import { InstitucionPrograma } from './entity/institucion-programa.entity';

@Module({
  imports: [TypeOrmModule.forFeature([InstitucionPrograma])],
  controllers: [InstitucionProgramaController],
  providers: [InstitucionProgramaService],
})
export class InstitucionProgramaModule {}
