import { IsNumber, IsOptional, IsInt, IsBoolean } from 'class-validator';

export class InstitucionUpdateDto {
  @IsInt()
  id_institucion: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsNumber()
  @IsOptional()
  dias_multa_retraso?: number;

  @IsNumber()
  @IsOptional()
  tiempo_entrega?: number;

  @IsNumber()
  @IsOptional()
  tiempo_prestamo?: number;

  @IsNumber()
  @IsOptional()
  tiempo_recoger?: number;
}
